summaryrefslogtreecommitdiffstats
path: root/abs/core-testing/LinHES-config/install_functions.sh
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2009-01-17 17:47:26 (GMT)
committerJames Meyer <james.meyer@operamail.com>2009-01-17 17:47:26 (GMT)
commitcff24d02505081b7297a257c38edcf286772e015 (patch)
treea2621605b5d00fd74e5de82b5c1217e00d5ed92f /abs/core-testing/LinHES-config/install_functions.sh
parent1a8e31864d6c5f36832ae1504cefe1e2a243cb98 (diff)
downloadlinhes_pkgbuild-cff24d02505081b7297a257c38edcf286772e015.zip
linhes_pkgbuild-cff24d02505081b7297a257c38edcf286772e015.tar.gz
linhes_pkgbuild-cff24d02505081b7297a257c38edcf286772e015.tar.bz2
correct exports.template to point to /myth instead of /data/media
add nfslock to all machine types start netfs
Diffstat (limited to 'abs/core-testing/LinHES-config/install_functions.sh')
-rwxr-xr-xabs/core-testing/LinHES-config/install_functions.sh10
1 files changed, 7 insertions, 3 deletions
diff --git a/abs/core-testing/LinHES-config/install_functions.sh b/abs/core-testing/LinHES-config/install_functions.sh
index fd84d6c..e9d2461 100755
--- a/abs/core-testing/LinHES-config/install_functions.sh
+++ b/abs/core-testing/LinHES-config/install_functions.sh
@@ -470,9 +470,13 @@ case $1 in
then
if [ -f /tmp/etc/fstab ]
then
- grep /dev/vg /tmp/etc/fstab >> /$mountpoint/etc/fstab
- grep /dev/vg /tmp/etc/fstab | awk -v mount=$mountpoint ' { print "/" mount $2 }' |xargs mkdir
- grep /dev/vg /tmp/etc/fstab | awk -v mount=$mountpoint ' { print "/" mount $2 }' |xargs chown -R mythtv:users
+ grep -q /dev/vg /tmp/etc/fstab
+ if [ $? = 0 ]
+ then
+ grep /dev/vg /tmp/etc/fstab >> /$mountpoint/etc/fstab
+ grep /dev/vg /tmp/etc/fstab | awk -v mount=$mountpoint ' { print "/" mount $2 }' |xargs mkdir
+ grep /dev/vg /tmp/etc/fstab | awk -v mount=$mountpoint ' { print "/" mount $2 }' |xargs chown -R mythtv:users
+ fi
fi
fi
;;